Package org.silverpeas.components.datawarning.model

## Class DataWarningGroup

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.datawarning.model.DataWarningGroup

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

      public class DataWarningGroup
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningGroup()` |
    `DataWarningGroup​(String instanceId, int groupId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getGroupId()` |
    `String` | `getInstanceId()` |
    `protected String` | `getTableName()` |
    `void` | `setGroupId​(int groupId)` |
    `void` | `setInstanceId​(String instanceId)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `getNonNullString, getPK, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningGroup

          public DataWarningGroup()

    - #### DataWarningGroup

          public DataWarningGroup​(String instanceId,
                                  int groupId)

  - ### Method Detail

    - #### getInstanceId

          public String getInstanceId()

    - #### getGroupId

          public int getGroupId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### setGroupId

          public void setGroupId​(int groupId)

    - #### getTableName

          @NonNull
          protected String getTableName()

      Specified by:
        `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`